### Minio Config File

### MAIN
#SERVER_VOLUMES=""
#SERVER_ADDRESS="--address"
#SERVER_CERTS_DIR="--certs-dir /etc/minio/certs/"

### MINIO
#MINIO_ACCESS_KEY=minio_access
#MINIO_SECRET_KEY=minio_secret
#MINIO_REGION_NAME="europe-belgium"
#MINIO_REGION_COMMENT="Belgium a country in Europe"
#MINIO_STORAGE_CLASS_STANDARD="EC:4"
#MINIO_STORAGE_CLASS_RRS="EC:2"
#MINIO_STORAGE_CLASS_COMMENT=""
#MINIO_CACHE_DRIVES="/var/lib/minio/cache0,/var/lib/minio/cache1,"
#MINIO_CACHE_EXPIRY="90"
#MINIO_CACHE_QUOTA="90"
#MINIO_CACHE_EXCLUDE="bucket/*.tmp,*.exe"
#MINIO_CACHE_AFTER="1"
#MINIO_CACHE_COMMENT=""
#MINIO_DISK_USAGE_CRAWL_DELAY=30
#MINIO_BROWSER=off
#MINIO_DOMAIN=mydomain.com
#MINIO_API_REQUESTS_MAX=""
#MINIO_API_REQUESTS_DEADLINE=""


### ETCD
#MINIO_ETCD_ENDPOINTS=""
#MINIO_ETCD_PATH_PREFIX=""
#MINIO_ETCD_COREDNS_PATH=""
#MINIO_ETCD_CLIENT_CERT=""
#MINIO_ETCD_CLIENT_CERT_KEY=""
#MINIO_ETCD_COMMENT=""

### AMQP
#MINIO_NOTIFY_AMQP_ENABLE
#MINIO_NOTIFY_AMQP_URL
#MINIO_NOTIFY_AMQP_EXCHANGE
#MINIO_NOTIFY_AMQP_EXCHANGE_TYPE
#MINIO_NOTIFY_AMQP_ROUTING_KEY
#MINIO_NOTIFY_AMQP_MANDATORY
#MINIO_NOTIFY_AMQP_DURABLE
#MINIO_NOTIFY_AMQP_NO_WAIT
#MINIO_NOTIFY_AMQP_INTERNAL
#MINIO_NOTIFY_AMQP_AUTO_DELETED
#MINIO_NOTIFY_AMQP_DELIVERY_MODE
#MINIO_NOTIFY_AMQP_QUEUE_DIR
#MINIO_NOTIFY_AMQP_QUEUE_LIMIT
#MINIO_NOTIFY_AMQP_COMMENT

### MQTT
#MINIO_NOTIFY_MQTT_ENABLE
#MINIO_NOTIFY_MQTT_BROKER
#MINIO_NOTIFY_MQTT_TOPIC
#MINIO_NOTIFY_MQTT_USERNAME
#MINIO_NOTIFY_MQTT_PASSWORD
#MINIO_NOTIFY_MQTT_QOS
#MINIO_NOTIFY_MQTT_KEEP_ALIVE_INTERVAL
#MINIO_NOTIFY_MQTT_RECONNECT_INTERVAL
#MINIO_NOTIFY_MQTT_QUEUE_DIR
#MINIO_NOTIFY_MQTT_QUEUE_LIMIT
#MINIO_NOTIFY_MQTT_COMMENT

### ELASTICSEARCH
#MINIO_NOTIFY_ELASTICSEARCH_ENABLE
#MINIO_NOTIFY_ELASTICSEARCH_URL
#MINIO_NOTIFY_ELASTICSEARCH_INDEX
##MINIO_NOTIFY_ELASTICSEARCH_FORMAT
#MINIO_NOTIFY_ELASTICSEARCH_QUEUE_DIR
#MINIO_NOTIFY_ELASTICSEARCH_QUEUE_LIMIT
#MINIO_NOTIFY_ELASTICSEARCH_COMMENT

### REDIS
#MINIO_NOTIFY_REDIS_ENABLE
#MINIO_NOTIFY_REDIS_KEY
#MINIO_NOTIFY_REDIS_FORMAT
#MINIO_NOTIFY_REDIS_PASSWORD
#MINIO_NOTIFY_REDIS_QUEUE_DIR
#MINIO_NOTIFY_REDIS_QUEUE_LIMIT
#MINIO_NOTIFY_REDIS_COMMENT

### NATS
#MINIO_NOTIFY_NATS_ENABLE
#MINIO_NOTIFY_NATS_ADDRESS
#MINIO_NOTIFY_NATS_SUBJECT
#MINIO_NOTIFY_NATS_USERNAME
#MINIO_NOTIFY_NATS_PASSWORD
#MINIO_NOTIFY_NATS_TOKEN
#MINIO_NOTIFY_NATS_TLS
#MINIO_NOTIFY_NATS_TLS_SKIP_VERIFY
#MINIO_NOTIFY_NATS_PING_INTERVAL
#MINIO_NOTIFY_NATS_STREAMING
#MINIO_NOTIFY_NATS_STREAMING_ASYNC
#MINIO_NOTIFY_NATS_STREAMING_MAX_PUB_ACKS_IN_FLIGHT
#MINIO_NOTIFY_NATS_STREAMING_CLUSTER_ID
#MINIO_NOTIFY_NATS_CERT_AUTHORITY
#MINIO_NOTIFY_NATS_CLIENT_CERT
#MINIO_NOTIFY_NATS_CLIENT_KEY
#MINIO_NOTIFY_NATS_QUEUE_DIR
#MINIO_NOTIFY_NATS_QUEUE_LIMIT
#MINIO_NOTIFY_NATS_COMMENT

### POSTGRESQL
#MINIO_NOTIFY_POSTGRES_ENABLE
#MINIO_NOTIFY_POSTGRES_CONNECTION_STRING
#MINIO_NOTIFY_POSTGRES_TABLE
#MINIO_NOTIFY_POSTGRES_FORMAT
#MINIO_NOTIFY_POSTGRES_QUEUE_DIR
#MINIO_NOTIFY_POSTGRES_QUEUE_LIMIT
#MINIO_NOTIFY_POSTGRES_COMMENT

### KAFKA
#MINIO_NOTIFY_KAFKA_ENABLE
#MINIO_NOTIFY_KAFKA_BROKERS
#MINIO_NOTIFY_KAFKA_TOPIC
#MINIO_NOTIFY_KAFKA_SASL_USERNAME
#MINIO_NOTIFY_KAFKA_SASL_PASSWORD
#MINIO_NOTIFY_KAFKA_SASL_MECHANISM
#MINIO_NOTIFY_KAFKA_TLS_CLIENT_AUTH
#MINIO_NOTIFY_KAFKA_SASL
#MINIO_NOTIFY_KAFKA_TLS
#MINIO_NOTIFY_KAFKA_TLS_SKIP_VERIFY
#MINIO_NOTIFY_KAFKA_CLIENT_TLS_CERT
#MINIO_NOTIFY_KAFKA_CLIENT_TLS_KEY
#MINIO_NOTIFY_KAFKA_QUEUE_DIR
#MINIO_NOTIFY_KAFKA_QUEUE_LIMIT
#MINIO_NOTIFY_KAFKA_COMMENT
#MINIO_NOTIFY_KAFKA_VERSION

### WEBHOOK
#MINIO_NOTIFY_WEBHOOK_ENABLE
#MINIO_NOTIFY_WEBHOOK_ENDPOINT
#MINIO_NOTIFY_WEBHOOK_AUTH_TOKEN
#MINIO_NOTIFY_WEBHOOK_QUEUE_DIR
#MINIO_NOTIFY_WEBHOOK_QUEUE_LIMIT
#MINIO_NOTIFY_WEBHOOK_COMMENT

### NSQ
#MINIO_NOTIFY_NSQ_ENABLE
#MINIO_NOTIFY_NSQ_NSQD_ADDRESS
#MINIO_NOTIFY_NSQ_TOPIC
#MINIO_NOTIFY_NSQ_TLS
#MINIO_NOTIFY_NSQ_TLS_SKIP_VERIFY
#MINIO_NOTIFY_NSQ_QUEUE_DIR
#MINIO_NOTIFY_NSQ_QUEUE_LIMIT
#MINIO_NOTIFY_NSQ_COMMENT
